I'm currently learning Ruby while running RubyWin 0.0.2.4 - is there a
more recent version?

By the way, Ruby looks like a keeper (like you didn't know...:-) )